假定仅提取CLI映像角色,并返回平台第一方映像存储库的短期 Docker 注册表档案。需要有效的平台 JWT;没有其他角色。每个用户的速率受到限制。
POST /api/v1/ecr/token
curl \
--request POST 'https://agentengine.mongodb.com/api/v1/ecr/token' \
--header "Authorization: $API_KEY"
响应示例 (406)
操作不可用
{
"detail": "This operation is not available in API version 2026-09-20-preview.",
"error": 406,
"errorCode": "OPERATION_NOT_IN_API_VERSION",
"parameters": [
"Accept"
],
"reason": "Not Acceptable"
}
{
"detail": "This operation supports text/event-stream, which the Accept header excludes. Remove unsupported media-type parameters or accept this type with a positive q value.",
"error": 406,
"errorCode": "UNACCEPTABLE_MEDIA_TYPE",
"parameters": [
"Accept"
],
"reason": "Not Acceptable"
}
{
"detail": "The requested API version is not supported. Supported versions: 2026-09-20-preview.",
"error": 406,
"errorCode": "UNSUPPORTED_API_VERSION",
"parameters": [
"Accept"
],
"reason": "Not Acceptable"
}
响应示例 (406)
{
"detail": "This operation is not available in API version 2026-09-20-preview.",
"error": 406,
"errorCode": "OPERATION_NOT_IN_API_VERSION",
"parameters": [
"Accept"
],
"reason": "Not Acceptable"
}
响应示例 (200)
{
"expires_at": "string",
"password": "string",
"registry_url": "string",
"repositories": [
"string"
],
"username": "string"
}
响应示例 (200)
{
"expires_at": "string",
"password": "string",
"registry_url": "string",
"repositories": [
"string"
],
"username": "string"
}
响应示例 (401)
{
"code": "string",
"error": "string",
"success": true
}
响应示例 (401)
{
"code": "string",
"error": "string",
"success": true
}
响应示例 (403)
{
"code": "string",
"error": "string",
"success": true
}
响应示例 (403)
{
"code": "string",
"error": "string",
"success": true
}
响应示例 (429)
{
"code": "string",
"error": "string",
"success": true
}
响应示例 (429)
{
"code": "string",
"error": "string",
"success": true
}
响应示例 (502)
{
"code": "string",
"error": "string",
"success": true
}
响应示例 (502)
{
"code": "string",
"error": "string",
"success": true
}
响应示例 (503)
{
"code": "string",
"error": "string",
"success": true
}
响应示例 (503)
{
"code": "string",
"error": "string",
"success": true
}